#ifndef QCOLORMAPLEGENDMARKER_H
#define QCOLORMAPLEGENDMARKER_H

#include <QtCharts/QChartGlobal>
#include <QtCharts/QLegendMarker>
#include <QtCharts/QColorMapSeries>

QT_CHARTS_BEGIN_NAMESPACE

class QColorMapLegendMarkerPrivate;

class QColorMapLegendMarker : public QLegendMarker
{
        Q_OBJECT
public:
    explicit QColorMapLegendMarker(QColorMapSeries *series, QLegend *legend, QObject *parent = 0);
    virtual ~QColorMapLegendMarker();

    virtual LegendMarkerType type() { return LegendMarkerTypeColorMap; }

    // Related series
    virtual QColorMapSeries* series();

protected:
    QColorMapLegendMarker(QColorMapLegendMarkerPrivate &d, QObject *parent = 0);

private:
    Q_DECLARE_PRIVATE(QColorMapLegendMarker)
    Q_DISABLE_COPY(QColorMapLegendMarker)
};

QT_CHARTS_END_NAMESPACE

#endif // QCOLORMAPLEGENDMARKER_H
